
local txtWnd = nil

function OnCreate()
  txtWnd = self:FindChild("hint_box_txt")
   s.sys_hint_window_box = 1
end

function OnDestroy()
 s.sys_hint_window_box = 0
end

function SetText(txt)
  txtWnd:SetText(L10n:ExpandString(txt))
end

function KeyPress()
  self:SetVisible(false)
  states["sys_hint_box_window_quit"] = 1
end

function OnShow()
 s.sys_hint_window_box = 1
	s.message_hide=0
end

function OnHide()
  s.message_hide=1
   s.sys_hint_window_box = 0
  OnOKCallback = nil
  OnCancelCallback = nil
end

function Close()
  self:SetVisible(false)
end
